Loading...
Searching...
No Matches
xccdf_tailoring Struct Reference
XCCDF

Stores content from xccdf:Tailoring element which can be loaded from a separate file. More...

`#include <xccdf_benchmark.h>`

Collaboration diagram for xccdf_tailoring:
[legend]

## Public Member Functions

OSCAP_API struct xccdf_tailoring * | xccdf_tailoring_new (void)
OSCAP_API void | xccdf_tailoring_free (struct xccdf_tailoring *tailoring)
OSCAP_API int | xccdf_tailoring_export (struct xccdf_tailoring *tailoring, const char *file, const struct xccdf_version_info *version_info)
Getters
Return value is pointer to structure's member. Do not free unless you null the pointer in the structure. Use remove function otherwise.
OSCAP_API struct xccdf_tailoring * | xccdf_tailoring_import_source (struct oscap_source *source, struct xccdf_benchmark *benchmark)
OSCAP_API const char * | xccdf_tailoring_get_id (const struct xccdf_tailoring *tailoring)
OSCAP_API const char * | xccdf_tailoring_get_version (const struct xccdf_tailoring *tailoring)
OSCAP_API const char * | xccdf_tailoring_get_version_update (const struct xccdf_tailoring *tailoring)
OSCAP_API const char * | xccdf_tailoring_get_version_time (const struct xccdf_tailoring *tailoring)
OSCAP_API const char * | xccdf_tailoring_get_benchmark_ref (const struct xccdf_tailoring *tailoring)
OSCAP_API const char * | xccdf_tailoring_get_benchmark_ref_version (const struct xccdf_tailoring *tailoring)
OSCAP_API struct oscap_string_iterator * | xccdf_tailoring_get_metadata (const struct xccdf_tailoring *tailoring)
OSCAP_API struct xccdf_profile_iterator * | xccdf_tailoring_get_profiles (const struct xccdf_tailoring *tailoring)
OSCAP_API struct xccdf_status_iterator * | xccdf_tailoring_get_statuses (const struct xccdf_tailoring *tailoring)
OSCAP_API struct oscap_reference_iterator * | xccdf_tailoring_get_dc_statuses (const struct xccdf_tailoring *tailoring)
OSCAP_API struct xccdf_profile * | xccdf_tailoring_get_profile_by_id (const struct xccdf_tailoring *tailoring, const char *profile_id)
Setters
For lists use add functions. Parameters of set functions are duplicated in memory and need to be freed by caller.
OSCAP_API bool | xccdf_tailoring_set_id (struct xccdf_tailoring *tailoring, const char *newval)
OSCAP_API bool | xccdf_tailoring_set_version (struct xccdf_tailoring *tailoring, const char *newval)
OSCAP_API bool | xccdf_tailoring_set_version_update (struct xccdf_tailoring *tailoring, const char *newval)
OSCAP_API bool | xccdf_tailoring_set_version_time (struct xccdf_tailoring *tailoring, const char *newval)
OSCAP_API bool | xccdf_tailoring_set_benchmark_ref (struct xccdf_tailoring *tailoring, const char *newval)
OSCAP_API bool | xccdf_tailoring_set_benchmark_ref_version (struct xccdf_tailoring *tailoring, const char *newval)
OSCAP_API bool | xccdf_tailoring_add_profile (struct xccdf_tailoring *tailoring, struct xccdf_profile *profile)
OSCAP_API bool | xccdf_tailoring_remove_profile (struct xccdf_tailoring *tailoring, struct xccdf_profile *profile)
| Removes given profile from tailoring.
OSCAP_API bool | xccdf_tailoring_resolve (struct xccdf_tailoring *tailoring, struct xccdf_benchmark *benchmark)

## Data Fields

char * | id
char * | benchmark_ref
char * | benchmark_ref_version
struct oscap_list * | statuses
struct oscap_list * | dc_statuses
char * | version
char * | version_update
char * | version_time
struct oscap_list * | metadata
struct oscap_list * | profiles

## Detailed Description

Stores content from xccdf:Tailoring element which can be loaded from a separate file.

The documentation for this struct was generated from the following files:

- item.h
- xccdf_benchmark.h